Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.context
Class ExceptionHandlerFactory

    java.lang.Object
      javax.faces.context.ExceptionHandlerFactory

All Implemented Interfaces:
  FacesWrapper<ExceptionHandlerFactory>

Direct Known Subclasses:
  PreJsf2ExceptionHandlerFactory

    public abstract class ExceptionHandlerFactory

extends java.lang.Object
implements FacesWrapper<ExceptionHandlerFactory>

ExceptionHandlerFactory is a factory object that creates (if needed) and returns a new `ExceptionHandler` instance.

There must be one `ExceptionHandlerFactory` instance per web application that is utilizing JavaServer Faces. This instance can be acquired, in a portable manner, by calling:

       ExceptionHandlerFactory factory = (ExceptionHandlerFactory)
        FactoryFinder.getFactory(FactoryFinder.EXCEPTION_HANDLER_FACTORY);

Since:
  2.0

Constructor Summary
`ExceptionHandlerFactory()`

Method Summary
`abstract ExceptionHandler` | `getExceptionHandler()` Create and return a A new `ExceptionHandler` instance.
`ExceptionHandlerFactory` | `getWrapped()` If this factory has been decorated, the implementation doing the decorating may override this method to provide access to the implementation being wrapped.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExceptionHandlerFactory

    public ExceptionHandlerFactory()

Method Detail

### getWrapped

    public ExceptionHandlerFactory getWrapped()

  If this factory has been decorated, the implementation doing the decorating may override this method to provide access to the implementation being wrapped. A default implementation is provided that returns `null`.

  Specified by:
    `getWrapped` in interface `FacesWrapper<ExceptionHandlerFactory>`

### getExceptionHandler

    public abstract ExceptionHandler getExceptionHandler()

  Create and return a A new `ExceptionHandler` instance. The implementation must return an `ExceptionHandler` instance suitable for the environment. For example, in some cases it may be desirable for an `ExceptionHandler` to write error information to the response instead of throwing exceptions as in the case of Ajax applications.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.